Bug 1410141 - No way to enable foreman_discovery_smart_proxy via installer
Summary: No way to enable foreman_discovery_smart_proxy via installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Martin Bacovsky
URL:
Whiteboard:
: 1333039 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 14:58 UTC by Sean O'Keeffe
Modified: 2019-09-26 14:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:04:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17926 None None None 2017-01-04 15:01:12 UTC

Description Sean O'Keeffe 2017-01-04 14:58:15 UTC
Description of problem:
Unable to enable foreman_discovery_smart_proxy using Capsule scenario 


Version-Release number of selected component (if applicable):
6.2.6


How reproducible:
100%

Steps to Reproduce:
1. satellite-installer -S capsule -h | grep discovery 

Actual results:
Above should return discovery_smart_proxy installer options

Expected results:
Above to return discovery_smart_proxy installer options

Additional info:

Comment 2 pm-sat@redhat.com 2017-01-06 21:02:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17926 has been resolved.

Comment 3 Chris Roberts 2017-02-15 14:29:29 UTC
*** Bug 1333039 has been marked as a duplicate of this bug. ***

Comment 5 Sean O'Keeffe 2017-08-30 10:25:59 UTC
That looks like the satellite scenario? It should be capusle. The method looks good though.

Comment 6 Martin Bacovsky 2017-10-03 11:11:54 UTC
Verified.
Version Tested: Satellite-6.3 Snap 18

It is possible to enable foreman_discovery_smart_proxy using Capsule scenario

# satellite-installer -S capsule -h|grep discovery
    --[no-]enable-foreman-proxy-plugin-discovery Enable 'foreman_proxy_plugin_discovery' puppet module (default: false)
= Module foreman_proxy_plugin_discovery:
    --foreman-proxy-plugin-discovery-image-name  tarball with images (current: "fdi-image-latest.tar")
    --foreman-proxy-plugin-discovery-install-images  should the discovery image be downloaded and extracted (current: false)
    --foreman-proxy-plugin-discovery-source-url  source URL to download from (current: "http://downloads.theforeman.org/discovery/releases/latest/")
    --foreman-proxy-plugin-discovery-tftp-root  tftp root to install image into (current: "/var/lib/tftpboot")

[root@ibm-x3650m4-01-vm-01 ~]# rpm -qa|grep satellite
satellite-installer-6.3.0.4-1.beta.el7sat.noarch
satellite-common-6.3.0-19.0.beta.el7sat.noarch
satellite-6.3.0-19.0.beta.el7sat.noarch

Comment 7 Bryan Kearney 2018-02-21 17:04:29 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.